{{ $appSection := "permission-proxy-migration" -}}
{{ $appName := (index . "Values" $appSection "name") -}}
{{- if index . "Values" $appSection "enabled" -}}
apiVersion: batch/v1
kind: Job
metadata:
  name: {{ $appName }}-job
  labels:
    app.kubernetes.io/name: {{ $appName }}
    {{- include "permission-proxy.labels" (list . $appSection) |  nindent 4 }}
  annotations:
    "helm.sh/hook": pre-install,pre-upgrade
    "helm.sh/hook-delete-policy": before-hook-creation
    {{- include "permission-proxy.annotations" . | nindent 4 }}
spec:
  backoffLimit: {{ index .Values $appSection "backoffLimit" }}
  template:
    metadata:
      labels:
        app.kubernetes.io/name: {{ $appName }}
        {{- include "permission-proxy.labels" (list . $appSection) |  nindent 8 }}
      annotations:
        {{- include "permission-proxy.annotations" . | nindent 8 }}
    spec:
      automountServiceAccountToken: false
      {{- include "permission-proxy.imagePullSecrets" (list . .Values.global.imagePullSecrets ) | nindent 6 }}
      restartPolicy: Never
      terminationGracePeriodSeconds: {{ .Values.global.terminationGracePeriodSeconds }}
      containers:
        - name: {{ $appName }}
          image: {{ include "permission-proxy.imageName" (list . "permission-proxy") | quote }}
          command: ["/bin/sh"]
          args: {{ index . "Values" $appSection "commands" | toYaml | nindent 12 }}
          imagePullPolicy: {{ .Values.global.pullPolicy }}
          env:
            - name: POSTGRES_CONN
              valueFrom:
                secretKeyRef:
                  name: {{ .Values.global.secretName }}
                  key: migrationPostgresConn
          resources:
            {{ index . "Values" $appSection "resources" | toYaml | nindent 12 }}
          securityContext:
            allowPrivilegeEscalation: false
            runAsNonRoot: true
            runAsUser: 1001
            capabilities:
              drop: [ "all" ]
{{ end }}
